(function ($) {
    'use strict';

    jQuery(document).ready(function ($) {
        if (typeof tinyMCE !== 'undefined') {
            tinymce.init(cbxtakeatour_admin.teeny_setting);
        }

        //remove all step at once
        $("#cbxtourmetabox").on("click", "#cbxtourmetaboxremstep", function (e) {
            e.preventDefault();
            var $this = $(this);
            var $parent_wrapper = $this.closest('#cbxtourmetabox');
            $parent_wrapper.find('#cbxtourmetabox_entries').empty();

            //var $counter = $('#cbxtourmetaboxaddstep').data('counter');
            //$('.cbxtourmetabox_entry-'+($counter-1)).remove();
            /*$('.cbxtourmetabox_entry-' + ($counter - 1)).fadeOut(400, function () {
                $(this).remove();
            });*/
            /*$('#cbxtourmetaboxaddstep').data('counter', --$counter);*/
            /*if ($counter == 0) {
                $(this).toggle();
            }*/

        });


        //add new step
        $("#cbxtourmetaboxaddstep").on("click", function (e) {
            e.preventDefault();

            var $this = $(this);
            var $counter = $this.data('counter');

            var $newEntry = elementHTMLStep.replace(/COUNTERPLUS/g, (parseInt($counter) + 1)).replace(/COUNTER/g, parseInt($counter));

            $('#cbxtourmetabox_entries').append($newEntry);

            var $content_id = 'cbxtourmetabox_fields_content_' + $counter;

            if (typeof tinyMCE !== 'undefined') {
                tinymce.execCommand('mceRemoveEditor', false, $content_id);
                tinymce.execCommand('mceAddEditor', false, $content_id);
            }

            $this.data('counter', ++$counter);

            $("#cbxtourmetaboxremstep").css({
                'display': 'inline-block'
            });
        });

        //show hide step fields on click
        $("#cbxtourmetabox_entries").on("click", '.cbxtourmetabox_step_heading', function (e) {
            e.preventDefault();
            var $this = $(this);
            $this.next(".cbxtourmetabox_wrap").toggle();

        });

        //hide all field box except the first one
        $(".cbxtourmetabox_wrap").hide();

        //single step delete
        $("#cbxtourmetabox_entries").on('click', 'a.delete-step', function (e) {
            e.preventDefault();
            var $this = $(this);
            var $counter = $('#cbxtourmetaboxaddstep').data('counter');

            Ply.dialog({
                "init-state": {
                    ui: "confirm",
                    data: {
                        text: cbxtakeatour_admin.confirm_msg,
                        ok: cbxtakeatour_admin.confirm_yes,     // button text
                        cancel: cbxtakeatour_admin.confirm_no
                    }
                }
            }).done(function (ui) {
                $this.closest('.cbxtourmetabox_entry').remove();
            })

        });

        // sort steps by dragging and drop
        $("#cbxtourmetabox_entries").sortable({
            handle: 'span',
            cancel: '',
            placeholder: "sortable-placeholder",
            forcePlaceholderSize: true
        });

        // Switches option sections
        $('.cbxtakeatour_group').hide();
        var activetab = '';
        if (typeof(localStorage) != 'undefined') {
            //get
            activetab = localStorage.getItem("cbxtakeatouractivetab");
        }

        //if url has section id as hash then set it as active or override the current local storage value
        if (window.location.hash) {
            if ($(window.location.hash).hasClass('cbxtakeatouractivetab')) {
                activetab = window.location.hash;
                if (typeof(localStorage) != 'undefined') {
                    localStorage.setItem("cbxtakeatouractivetab", activetab);
                }
            }
        }

        if (activetab != '' && $(activetab).length) {
            $(activetab).fadeIn();
        } else {
            $('.cbxtakeatour_group:first').fadeIn();
        }

        $('.cbxtakeatour_group .collapsed').each(function () {
            $(this).find('input:checked').parent().parent().parent().nextAll().each(
                function () {
                    if ($(this).hasClass('last')) {
                        $(this).removeClass('hidden');
                        return false;
                    }
                    $(this).filter('.hidden').removeClass('hidden');
                });
        });

        if (activetab != '' && $(activetab + '_tab').length) {
            $(activetab + '_tab').addClass('nav-tab-active');
        }
        else {
            $('.nav-tab-wrapper a:first').addClass('nav-tab-active');
        }

        $('.nav-tab-wrapper a').on('click', function (evt) {
            evt.preventDefault();

            $('.nav-tab-wrapper a').removeClass('nav-tab-active');
            $(this).addClass('nav-tab-active').blur();
            var clicked_group = $(this).attr('href');
            if (typeof(localStorage) != 'undefined') {
                //set
                localStorage.setItem("cbxtakeatouractivetab", $(this).attr('href'));
            }
            $('.cbxtakeatour_group').hide();
            $(clicked_group).fadeIn();
        });

        /*$("#cbxtakeatour_styles-tab").on("click", function () {
            alert("hello world");
        });*/

        /*Add color picker */
        var myOptions = {
            // you can declare a default color here,
            // or in the data-default-color attribute on the input
            defaultColor: false,
            // a callback to fire whenever the color changes to a valid color
            change: function (event, ui) {},
            // a callback to fire when the input is emptied or an invalid color
            clear: function () {
            },
            // hide the color picker controls on load
            hide: true,
            // show a group of common colors beneath the square
            // or, supply an array of colors to customize further
            palettes: true,
        };
        $('.cbxtakeatour-color-field').wpColorPicker(myOptions);

        //select all text on click of shortcode text
        $('.cbxtakeatourshortcode').on("click", function (e) {
            var text = $(this).text();
            var $this = $(this);
            var $input = $('<input class="cbxtakeatourshortcode-text" type="text">');
            $input.prop('value', text);
            $input.insertAfter($(this));
            $input.focus();
            $input.select();
            $this.hide();

            try {
                document.execCommand("copy");
            } catch (err) {

            }

            $input.focusout(function(){
                $this.show();
                $input.remove();
            });
        });

    });

    /*Toggle button*/
    $(document).ready(function () {

        $('.minitoggle_trigger').each(function (index, element) {
            var $element = $(element);

            var current_value_toggle = $element.val();
            $( '<div style="width: 55px;cursor: pointer" class="minitoggle_trigger_display"></div>' ).insertBefore( $element );

            var $element_prev = $element.prev('.minitoggle_trigger_display');

            $element_prev.minitoggle({
                on: 1 == current_value_toggle
            });

            if (1 == current_value_toggle) {
                $element_prev.find(".toggle-handle").attr('style', 'transform: translate3d(27px, 0px, 0px)');
            }

            $element_prev.on("toggle", function (e) {
                if (e.isActive)
                    $element.val(1);
                else
                    $element.val(0);
            });
        });

        /*Button Display*/
        /*var current_value_toggle = $("#cbxtourmetabox_fields_display").val();
        $("#display_toggle").minitoggle({
            on: 1 == current_value_toggle
        });
        if (1 == current_value_toggle) {
            $("#display_toggle .toggle-handle").attr('style', 'transform: translate3d(27px, 0px, 0px)');
        }

        $("#display_toggle").on("toggle", function (e) {
            if (e.isActive)
                $("#cbxtourmetabox_fields_display").val(1);
            else
                $("#cbxtourmetabox_fields_display").val(0);
        });*/

        /*Auto-start*/
       /* var current_value_autostart = $("#cbxtourmetabox_fields_autostart").val();
        $("#autostart_toggle").minitoggle({
            on: 1 == current_value_autostart
        });
        if (1 == current_value_autostart) {
            $("#autostart_toggle .toggle-handle").attr('style', 'transform: translate3d(27px, 0px, 0px)');
        }

        $("#autostart_toggle").on("toggle", function (e) {
            if (e.isActive)
                $("#cbxtourmetabox_fields_autostart").val(1);
            else
                $("#cbxtourmetabox_fields_autostart").val(0);
        });*/

        /*Tour Button Block*/
        var current_value_block = $("#cbxtourmetabox_fields_tour_button_block").val();
        $("#block_toggle").minitoggle({
            on: 1 == current_value_block
        });
        if (1 == current_value_block) {
            $("#block_toggle .toggle-handle").attr('style', 'transform: translate3d(27px, 0px, 0px)');
        }

        $("#block_toggle").on("toggle", function (e) {
            if (e.isActive)
                $("#cbxtourmetabox_fields_tour_button_block").val(1);
            else
                $("#cbxtourmetabox_fields_tour_button_block").val(0);
        });
    });
})(jQuery);
