(function ($) {
    'use strict';

    jQuery(document).ready(function ($) {



        $(".cbxtakeatour").each(function (index, element) {
            var $element = $(element);

            console.log($element);

            var $step_id = parseInt($element.data('step_id'));
            var $auto_start = parseInt($element.data('auto_start'));

            if ($auto_start) {
                /*$element.on('click', function (e) {
                    e.preventDefault();

                    cbxtakeatour_render($element, $step_id);
                });*/


                cbxtakeatour_render($element, $step_id);
            } else {
                $element.on('click', function (e) {
                    e.preventDefault();

                    cbxtakeatour_render($element, $step_id);
                });
            }

            //console.log($ga_go);
            //console.log($element.attr('title'));


        });//end .cbxtakeatour

        /**
         * Render the tour
         *
         * @param $element
         * @param $step_id
         */
        function cbxtakeatour_render($element, $step_id) {
            var $steps = cbxtakeatour.steps[$step_id]['steps'];
            var $layout = cbxtakeatour.steps[$step_id].layout;
            var $url = cbxtakeatour.steps[$step_id]['redirect_url'];

            //var $layout_class = ($layout !== 'custom' && $layout !== 'basic' && $layout !== '') ? 'cbxtakeatour_popover_' + $layout : '';
            var $layout_class = 'cbxtakeatour_popover_' + $layout;

            var $tour = new Tour({
                steps: $steps,
                template: '<div class="cbxtakeatour_popover ' + $layout_class + ' cbxtakeatour_popover_' + $step_id + '" role="tooltip"> <div class="cbxtatarrow"></div> <h3 class="cbxtakeatour_popover-header"></h3> <div class="cbxtakeatour_popover-body"></div> <div class="cbxtakeatour_popover-navigation"> <div class="btn-group"> <button class="btn btn-sm btn-secondary" data-role="prev">&laquo; Prev</button> <button class="btn btn-sm btn-secondary" data-role="next">Next &raquo;</button> <button class="btn btn-sm btn-secondary" data-role="pause-resume" data-pause-text="' + cbxtakeatour.tour_label_pause + '" data-resume-text="' + cbxtakeatour.tour_label_resume + '">' + cbxtakeatour.tour_label_pause + '</button> </div> <button class="btn btn-sm btn-secondary" data-role="end">End tour</button> </div> </div>',
                onStart: function (tour) {
                    ///console.log(tour);

                    CBXTakeatourEvents_do_action('cbxtakeatour_tour_onStart', $, $element, $step_id, tour);

                },
                onEnd: function (tour) {
                    //console.log(tour);

                    CBXTakeatourEvents_do_action('cbxtakeatour_tour_onEnd', $, $element, $step_id, tour);

                    if ($url != '') {
                        document.location.href = $url;
                        return (new $.Deferred()).promise();
                    }
                },
                onShow: function (tour) {
                    CBXTakeatourEvents_do_action('cbxtakeatour_tour_onShow', $, $element, $step_id, tour);
                },
                onShown: function (tour) {
                    CBXTakeatourEvents_do_action('cbxtakeatour_tour_onShown', $, $element, $step_id, tour);
                },
                onHide: function (tour) {
                    CBXTakeatourEvents_do_action('cbxtakeatour_tour_onHide', $, $element, $step_id, tour);
                },
                onHidden: function (tour) {
                    CBXTakeatourEvents_do_action('cbxtakeatour_tour_onHidden', $, $element, $step_id, tour);
                },
                onNext: function (tour) {
                    CBXTakeatourEvents_do_action('cbxtakeatour_tour_onNext', $, $element, $step_id, tour);
                },
                onPrev: function (tour) {
                    CBXTakeatourEvents_do_action('cbxtakeatour_tour_onPrev', $, $element, $step_id, tour);
                },
                onPause: function (tour, duration) {
                    CBXTakeatourEvents_do_action('cbxtakeatour_tour_onPause', $, $element, $step_id, tour);
                },
                onResume: function (tour, duration) {
                    CBXTakeatourEvents_do_action('cbxtakeatour_tour_onResume', $, $element, $step_id, tour);
                },
                onRedirectError: function (tour) {
                    CBXTakeatourEvents_do_action('cbxtakeatour_tour_onRedirectError', $, $element, $step_id, tour);
                }
            });

            //$tour.init();
            //$tour.start();

            $tour.restart();
        }//end function cbxtakeatour_render
    }); //dom ready

})(jQuery);
